/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.isobus.model;

/**
 * Describes fields of ISO 17783-10 DLV(DatatLogValue) element and it's dataType in the binary file
 * @author Gerben Feenstra
 */
public enum DatalogValueFieldEnum implements XmlField {

    PROCESS_DATA_DDI("A",BinaryDataType.BIT32_SIGNED),
    
    DATALOGVALUE_NR("unknown", BinaryDataType.BIT8_SIGNED),
    
    DATALOGVALUE_COUNT("unknown", BinaryDataType.BIT8_SIGNED),
    
    /** DLV B **/
    DATALOGVALUE_PROCESSDATA_VALUE("B", BinaryDataType.BIT32_SIGNED),
    
    DEVICE_ELEMENT_ID_REF("C", BinaryDataType.BIT32_SIGNED);
    
    String xmlField = "";
    BinaryDataType dataType;
    
    DatalogValueFieldEnum(String xmlField, BinaryDataType dataType) {
        this.xmlField = xmlField;
        this.dataType = dataType;
    }

    @Override
    public String getAttributeName() {
        return xmlField;

    }

    @Override
    public BinaryDataType getDataType() {
        return dataType;
    }
}
